Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 482318 - net-analyzer/cnet-3.3.1 with dev-lang/tcl-8.6 - ld: cannot find -ltcl8.5 -ltk8.5
Summary: net-analyzer/cnet-3.3.1 with dev-lang/tcl-8.6 - ld: cannot find -ltcl8.5 -ltk8.5
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: tcltk-8.6
  Show dependency tree
 
Reported: 2013-08-24 12:03 UTC by Andrew Savchenko
Modified: 2015-03-13 19:42 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,6.29 KB, text/plain)
2013-08-24 12:04 UTC, Andrew Savchenko
Details
emerge --info (emerge.info,8.42 KB, text/plain)
2013-08-24 12:04 UTC, Andrew Savchenko
Details
environment (environment,80.87 KB, text/plain)
2013-08-24 12:04 UTC, Andrew Savchenko
Details
build.log (build.log,20.01 KB, text/plain)
2015-03-13 10:08 UTC, Andrew Savchenko
Details
emerge --info (emerge.info,10.58 KB, text/plain)
2015-03-13 10:08 UTC, Andrew Savchenko
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Savchenko gentoo-dev 2013-08-24 12:03:40 UTC
Hello,

cnet fails to build with tcl-8.6:

i686-pc-linux-gnu-gcc -ansi -march=native -m32 -O2 -funswitch-loops -fpredictive-commoning  -fgcse-after-reload -ftree-loop-im -fweb -frename-registers -fomit-frame-pointer -
mfpmath=sse -pipe -frecord-gcc-switches -c images.c                                                                                                                           
images.c: In function ‘load_image’:                                                                                                                                           
images.c:90:21: error: ‘Tcl_Interp’ has no member named ‘result’                                                                                                              
images.c:95:21: error: ‘Tcl_Interp’ has no member named ‘result’                                                                                                              
images.c: In function ‘__CN043’:                                                                                                                                              
images.c:154:18: error: ‘Tcl_Interp’ has no member named ‘result’                                                                                                             
images.c:159:18: error: ‘Tcl_Interp’ has no member named ‘result’                                                                                                             
images.c: In function ‘__CN039’:                                                                                                                                              
images.c:254:21: error: ‘Tcl_Interp’ has no member named ‘result’                                                                                                             
make[2]: *** [images.o] Error 1

This happens due to API deprecation.
Comment 1 Andrew Savchenko gentoo-dev 2013-08-24 12:04:06 UTC
Created attachment 356850 [details]
build.log
Comment 2 Andrew Savchenko gentoo-dev 2013-08-24 12:04:19 UTC
Created attachment 356852 [details]
emerge --info
Comment 3 Andrew Savchenko gentoo-dev 2013-08-24 12:04:33 UTC
Created attachment 356854 [details]
environment
Comment 4 Andrew Savchenko gentoo-dev 2013-08-24 12:10:22 UTC
New cnet version 3.2.4 is available. See bug 482320.
Comment 5 jannis 2014-01-16 23:06:30 UTC
3.2.4 still fails with tcl-8.6:
images.c:63:28: Fehler: »Tcl_Interp« hat kein Element namens »result«

(didn't portage tell me that LC_ALL defaults to C now? messages are still in german)
Comment 6 Jeroen Roovers gentoo-dev 2015-03-13 06:13:57 UTC
The ancient 2.0.10 is gone now (and its single stable keyword). Since it's virtually impossible to get your hands on the source code because of an incorrect fetch restriction in the ebuild, I have simply removed it. And 3.2.4. And there is a 3.3.1 that does not have the fetch restriction.
Comment 7 Jeroen Roovers gentoo-dev 2015-03-13 06:22:44 UTC
Could you give 3.3.1 a spin with dev-lang/tcl-8.6?
Comment 8 Andrew Savchenko gentoo-dev 2015-03-13 10:07:16 UTC
It fails to build: libraries are hardcoded to tcl-8.5/tk-8.5:

usr/lib/gcc/i686-pc-linux-gnu/4.9.2/../../../../i686-pc-linux-gnu/bin/ld: cannot find -ltcl8.5
/usr/lib/gcc/i686-pc-linux-gnu/4.9.2/../../../../i686-pc-linux-gnu/bin/ld: cannot find -ltk8.5

From src/Makefile.linux:

XINCLUDES       = -I/usr/include/tcl8.5
XLIBS           = -ltcl8.5 -ltk8.5 -lX11
Comment 9 Andrew Savchenko gentoo-dev 2015-03-13 10:08:11 UTC
Created attachment 398786 [details]
build.log
Comment 10 Andrew Savchenko gentoo-dev 2015-03-13 10:08:42 UTC
Created attachment 398788 [details]
emerge --info
Comment 11 Jeroen Roovers gentoo-dev 2015-03-13 11:22:53 UTC
That looks like a different problem that's actually easier to fix. But let's re-purpose this report since it's been very quiet.
Comment 12 Jeroen Roovers gentoo-dev 2015-03-13 11:25:11 UTC
Comment on attachment 398788 [details]
emerge --info

Please don't trust bugzilla's attempt at MIME typing.
Comment 13 Jeroen Roovers gentoo-dev 2015-03-13 11:48:17 UTC
Should be fixed. No revision bump.
Comment 14 Andrew Savchenko gentoo-dev 2015-03-13 19:42:25 UTC
Yeah, works fine now. Thanks.